Subject: [os2genau_digest] No. 1703
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 7 Sep 2008 00:00:41 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 06 September 2008
 Number  1703
**************************************************

Subjects for today
 
1  Re:  USB Modems and eCS : Mike O'Connor <mikeoc at internode.on dot net>
2  Re:  USB Modems and eCS : Mike O'Connor <mikeoc at internode.on dot net>
3  Re:  USB Modems and eCS : Ed Durrant <edurrant at durrant dot mine dot nu>
4  Re:  USB Modems and eCS : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Sat, 06 Sep 2008 00:01:57 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  USB Modems and eCS

John Angelico wrote:
> Thanks Wayne, Mike and Ed.
>
> Status report:
> Machine has 1 only hardware serial connection with external fax/modem
> connected
>
> Bios enables ONLY COM1:
>
> Config.sys now shows:
> DEVICE=C:\OS2\BOOT\COM.SYS
> rem DEVICE=C:\OS2\BOOT\COM.SYS (8,2f8,3,S)
>
> DEVICE=C:\OS2\BOOT\USBPRT.SYS
> rem DEVICE=C:\OS2\BOOT\USBMOUSE.SYS
> rem DEVICE=C:\AMouse\USBMOUSE.SYS
> rem DEVICE=C:\OS2\BOOT\USBKBD.SYS
> DEVICE=C:\OS2\BOOT\USBCOM.SYS /n:com8 /v
>
> Boot up with Alt-F2 showed no errors
>
> Injoy reports:
> �[ Terminal Mode ]���������������������
> [opening port]
> [Port open fail, retrying in 5 secs...]
> [Port open fail - Interrupted]	(after I hit Hang Up)
>
> Result was the same whether we had the modem connected to the USB cable or
> not. I suspect we haven't reached the stage of talking to the device as
> yet...
>
> So still no Joy with InJoy...
Hi John,

In my earlier ISDN experience using USB connection, I had success 
irrespective of which of my PC's USB ports I was connected to. Have you 
tried any other USB port? What initialization strings did you use in Injoy?

I don't know what the default value is for the following parameter for 
USBCOM.SYS, or whether it takes any account of your external serial modem:

  /M:maxModems    Number of modems accepted for service can be limited using
        maxModems key.

Also am unsure whether /N:COM? might be case sensitive?

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 06 Sep 2008 00:17:48 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  USB Modems and eCS

John Angelico wrote:
> On Fri, 05 Sep 2008 08:27:51 +1000, Ed Durrant wrote:
>
>   
>> By the way John - the windoze support "driver" file should contain what 
>> you need as an initiation string for the modem.
>>     
>
> Thanks Ed.
>
> We have those strings now in InJoy, but we haven't got that far yet.
>
> Found USBRESCFG the gui configuration tool.
>
> Used it to check the USB stuff, and changed one item:
> Modem = 1
>
> Now the CONFIG.SYS looks like this
>
> DEVICE=C:\OS2\BOOT\COM.SYS
> rem DEVICE=C:\OS2\BOOT\COM.SYS (8,2f8,3,S)
>
> DEVICE=C:\OS2\BOOT\USBCOM.SYS /N:COM8 /M:1 /I: /O: /V
>
> and
>
> BASEDEV=USBEHCD.SYS
> BASEDEV=USBUHCD.SYS
> BASEDEV=USBUHCD.SYS
> BASEDEV=USBUHCD.SYS
> BASEDEV=USBUHCD.SYS
> BASEDEV=USBD.SYS
> BASEDEV=USBHID.SYS
> BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:1
> BASEDEV=USBCDROM.ADD /CDS:1
> DEVICE=C:\OS2\BOOT\USBPRT.SYS
> DEVICE=D:\TAME\USBRESMG.SYS
>
>
> InJoy status line shows:
> [Mobile] [COM8:345600:DOWN] [LEARN:OFF] [IPSEC:OFF] [FW:OFF] [FLT:OFF]
> but still:
> [Port open fail, retrying in 5 secs...]
> [Port open fail, retrying in 5 secs...]
> [Port open fail - Interrupted]
>
> It's late again. Have more work to do tomorrow.
>
> Must stop ...
>
> Thanks for the patient help so far, fellas!
Hi John,

Notice above that no ( or null?) values specified for /I: and /O: queues.

  /I:size    Size of the Input queue can be set using size parameter
        (size in KB=1024 bytes, minimum value is 5, maximum value is 64,
        and default value is 32).

  /O:size       Size of the Output queue can be set using size parameter
        (size in KB=1024 bytes, minimum value is 5, maximum value is 64,
        and default value is 32).

Did you have a variation of the following line in config.sys previously --

BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:1

or is this picking up the MSD-function in the USB modem?

Have a good sleep

Regards,
Mike

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 06 Sep 2008 08:00:10 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB Modems and eCS

John Angelico wrote:
> On Fri, 5 Sep 2008 20:13:17 +0930, Wayne wrote:
>
>   
>>>    
>>> On Thu, 4 Sep 2008 22:35:47 +0930, Wayne wrote: 
>>>    
>>>       
>>>>>>  
>>>>>> What parameters do you have on your com.sys device driver line in   
>>>>>> config.sys ??  
>>>>>>             
>>>>> DEVICE=C:\OS2\BOOT\COM.SYS (8,2f8,3,S) DEVICE=C:\OS2\BOOT\USBCOM.SYS /n:com8   
>>>>>           
>> /v  
>>     
>>>>>     
>>>>>           
>>> Best regards John Angelico OS/2 SIG os2 at melbpc dot org dot au or  talldad at kepl dot com dot au 
>>>       
>> As Mike suggested, I would lose the reference to com8 in the COM.SYS line. 
>>
>> Cheers 
>> Wayne  
>>     
>
> Thanks Wayne, Mike and Ed.
>
> Status report:
> Machine has 1 only hardware serial connection with external fax/modem
> connected
>
> Bios enables ONLY COM1:
>
> Config.sys now shows:
> DEVICE=C:\OS2\BOOT\COM.SYS
> rem DEVICE=C:\OS2\BOOT\COM.SYS (8,2f8,3,S)
>
> DEVICE=C:\OS2\BOOT\USBPRT.SYS
> rem DEVICE=C:\OS2\BOOT\USBMOUSE.SYS
> rem DEVICE=C:\AMouse\USBMOUSE.SYS
> rem DEVICE=C:\OS2\BOOT\USBKBD.SYS
> DEVICE=C:\OS2\BOOT\USBCOM.SYS /n:com8 /v
>
> Boot up with Alt-F2 showed no errors
>
> Injoy reports:
> �[ Terminal Mode ]���������������������
> [opening port]
> [Port open fail, retrying in 5 secs...]
> [Port open fail - Interrupted]	(after I hit Hang Up)
>
> Result was the same whether we had the modem connected to the USB cable or
> not. I suspect we haven't reached the stage of talking to the device as
> yet...
>
> So still no Joy with InJoy...
>
>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
> ___________________

>  

>
>   
Despite what Mike has said, I would still like com8 to be set in 
config.sys on the com.sys line and see what mode com8 says from the 
command line.

Also please temporarily disconnect your fax modem and disable com1 and 
com2 in Bios.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 06 Sep 2008 08:02:45 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  USB Modems and eCS

Mike O'Connor wrote:
>
>
> Did you have a variation of the following line in config.sys 
> previously --
>
> BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:1
>
> or is this picking up the MSD-function in the USB modem?
>
> Have a good sleep
>
> Regards,
> Mike
>
I think you'll find the data area in this modem is picked up through 
USBCDROM support not USB MSD.

Cheers/2

Ed.
>
 
>
> 

>

----------------------------------------------------------------------------------